dvdisaster (0.79.6-6) UNRELEASED; urgency=medium

  * Use secure URI in debian/watch.
  * Update standards version, no changes needed.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Fix day-of-week for changelog entries 0.71~devel23-4.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 06 Aug 2019 16:08:20 +0000

dvdisaster (0.79.6-5) experimental; urgency=medium

  * Merge changes from 0.79.5-9.

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 02 Feb 2019 16:05:29 +1100

dvdisaster (0.79.6-4) experimental; urgency=medium

  * Merge changes from 0.79.5-8.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 01 Feb 2019 23:13:16 +1100

dvdisaster (0.79.6-3) experimental; urgency=medium

  * Merge changes from 0.79.5-7.
  * Update gbp.conf for debian/experimental branch.

 -- Carlos Maddela <e7appew@gmail.com>  Thu, 31 Jan 2019 08:59:58 +1100

dvdisaster (0.79.6-2) experimental; urgency=medium

  [ TANIGUCHI Takaki ]
  * Update Vcs-* to salsa.debian.org.

  [ Carlos Maddela ]
  * Build with DH compat level 11.
  * Indicate compliance with Debian Policy 4.1.4.
  * Add machine-readable upstream metadata.
  * Update debian/copyright.
  * Update location of PDF manual registered with doc-base (required
    as a result of DH compat level change).

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 23 Jun 2018 05:41:03 +1000

dvdisaster (0.79.6-1) experimental; urgency=medium

  * New upstream development version [0.79.6].
  * Rebase patches.

 -- Carlos Maddela <e7appew@gmail.com>  Thu, 21 Dec 2017 05:51:54 +1100
dvdisaster (0.79.5-9) unstable; urgency=medium

  * Make sure that the upstream changelog remains uncompressed so
    that the application can display it.

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 02 Feb 2019 13:32:34 +1100

dvdisaster (0.79.5-9) unstable; urgency=medium

  * Make sure that the upstream changelog remains uncompressed so
    that the application can display it.
  * Suggest to install dvdisaster-doc in error message, if the PDF manual
    cannot be found.

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 02 Feb 2019 15:20:23 +1100

dvdisaster (0.79.5-8) unstable; urgency=medium

  * Fix parallel build of locale strings.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 01 Feb 2019 23:03:13 +1100

dvdisaster (0.79.5-7) unstable; urgency=medium

  * Add debian/gbp.conf to conform with DEP14 conventions.
  * Build with Debhelper compat level 12.
  * Set "Rules-Requires-Root: no".
  * Simplify process by which mutable files are backed up and restored.
  * Build as verbosely as possible.
  * Fix location of manual.
  * Fix dh_auto_build overrides to take advantage of parallel builds.
  * Fix format security compilation warning in GCC-8.
  * Change homepage to one archived at web.archive.org.
    http://dvdisaster.net has been unavailable for a while now.
    Not certain if this is permanent though, as the domain name still
    exists for mail.
  * Add support for nodoc build profile.
  * Add more details to upstream metadata.
  * Indicate compliance with Debian Policy 4.3.0.

 -- Carlos Maddela <e7appew@gmail.com>  Thu, 31 Jan 2019 07:10:46 +1100

dvdisaster (0.79.5-6) unstable; urgency=medium

  [ TANIGUCHI Takaki ]
  * change Vcs-* path

  [ Carlos Maddela ]
  * Build with DH compat level 11.
  * Indicate compliance with Debian Policy 4.1.4.
  * Add machine-readable upstream metadata.
  * Update debian/copyright.
  * Update location of PDF manual registered with doc-base (required
    as a result of DH compat level change).

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 23 Jun 2018 05:01:27 +1000

dvdisaster (0.79.5-5) unstable; urgency=medium

  * Update Vcs-* to salsa.debian.org
  * Bump Standards-Version to 4.1.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 27 Jan 2018 23:34:08 +0900

dvdisaster (0.79.5-4) unstable; urgency=medium

  * Use complete Debian revision number as build number, instead of
    just the numeric part.
  * Re-implement scripts/time-stamper.bash without direct calls to
    dpkg-parsechangelog.
  * Call ./configure script directly, instead of relying on debhelper,
    to resolve incompatibilities with Bash-based script.
  * Use alternative way of installing icons to remove dependency on
    dh-exec.
  * Drop redundant dependency on dpkg-dev.
  * Reproducibly generate PDF documentation from TeX sources.
  * Remove trailing white space from debian/changelog.
  * Remove unnecessary Testsuite header from debian/control.
  * Indicate compliance with Debian Policy 4.1.2.
  * Suppress debian-watch-uses-insecure-uri Lintian warning.
  * Honour LDFLAGS set by dpkg-buildflags in building all binaries.

 -- Carlos Maddela <e7appew@gmail.com>  Thu, 21 Dec 2017 03:14:14 +1100

dvdisaster (0.79.5-3) unstable; urgency=medium

  * Team upload.
  * Fix another build failure on kFreeBSD.
  * Bump Standards Version to 4.0.1.
  * Regenerate patches with git version 2.14.0.
  * Do not suppress the display of compilation commands,
    so that build logs may be analysed by blhc.
  * Update uploaders list.

 -- Carlos Maddela <e7appew@gmail.com>  Mon, 14 Aug 2017 14:52:56 +1000

dvdisaster (0.79.5-2) unstable; urgency=medium

  [ Carlos Maddela ]
  * Team upload.
  * Bump Standards Version to 4.0.0.
  * Remove unnecessary calls to dpkg-parsechangelog from debian/rules.
  * debian/watch: Avoid repacking upstream tarballs unnecessarily.
  * Fix more typos in error messages and docs.
  * Fix FTBFS on Hurd and kFreeBSD.
  * Remove incorrect use of 'Origin: vendor' from DEP-3 patch headers.
  * Improve support for Hurd and kFreeBSD systems, although Hurd still
    builds without SCSI.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 07 Aug 2017 17:34:01 +0900

dvdisaster (0.79.5-1) unstable; urgency=medium

  [ Carlos Maddela ]
  * Team upload.
  * New upstream version [0.79.5]
  * Refresh and drop patches. The following patches have been dropped:
    + 01-libpng15.patch
    + 06-remove-encoding-from-desktop-file.patch
    + 07-fix-spelling-errors-in-binaries.patch
    + 09-fix-format-security-warnings.patch
    + 21-fix-privacy-breach-in-doco.patch
  * Update license to GPL-3.
  * Update clean rule as old files no longer apply.
  * Update documentation build and install rules.
  * debian/rules: Update mutable file list.
  * Fix generated man pages. The generated man pages incorrectly direct
    users to the directory of the old HTML documentation, which is no
    longer available.
  * Fix display of manual.pdf. The PDF file is automatically compressed
    by Debhelper, so we need to account for this.
  * Resurrect old code to support opening URLs in a browser.
  * Ship upstream-generated manual.pdf for the time being, as we can't
    generate it ourselves reproducibly.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 02 Feb 2017 22:28:25 +0900

dvdisaster (0.72.4-3) unstable; urgency=medium

  [ Carlos Maddela ]
  * Team upload.
  * Bump compat level to 10.
  * debian/watch: Relax upstream version restriction.
  * Use original name for the duplicate uncompressed upstream CHANGELOG.
  * Backup and restore mutable files to allow multiple builds.
  * Fix FTBFS for hurd-i386.

  [ Corey Wright ]
  * Add support for BD-ROM media-type. (Closes: #849518)

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 07 Jan 2017 00:29:19 +1100

dvdisaster (0.72.4-2) unstable; urgency=medium

  * Team upload.
  * Make builds reproducible:
    + Use the Debian changelog details to derive a build number and date.
    + Don't build with source path embedded in binary.
  * debian/control:
    + Update to Standards Version 3.9.8.
      - Format security warnings required fixing in tools/memory.c as
        a result.
    + Update VCS details.
    + Remove obsolete DM-Upload-Alllowed control field.
    + Perform wrap and sort.
    + Mark dvdisaster-doc as a multi-arch foreign package.
  * debian/rules:
    + Build with all hardening flags set.
    + Link required libraries as needed.
    + Fix installation of desktop file and icon images.
    + Tidy up installation of doc files.
    + Fix clean up.
    + Separate binary-arch and binary-indep rules.
    + Silence deprecated API warnings.
  * debian/*:
    + Update uscan rules.
    + Drop debian/dvdisaster.menu file in favour of desktop file.
    + Convert copyright file into proper DEP5 format and update.
    + Drop no longer required debian/pixmaps/dvdisaster.xpm.
    + Add debian/dvdisaster-doc.doc-base file.
    + Add link to html docs in dvdisaster-doc package.
    + Remove unnecessary duplication of doc files in the two packages.
    + Link all duplicate doc files.
    + Fix installation of thumbnails for Czech doco.
  * debian/patches/*:
    + Fix headers to work with git-buildpackage, retaining as much
      meta info as possible.
    + Fix GNU Make detection. (Closes: #848811)
    + Fix path of GPL-2 license in 05-help-dialog.patch. (Closes: #708384)
    + Fix all warnings except for those related to deprecated API.
      (Closes: #748416)
    + Use non-size-specific icon and add keywords to desktop file.
    + Fix spelling: upto -> up to
    + Fix missing language fields in PO files.
    + Update help dialog to show link to the new Debian package tracker.
    + Update copyright notice in about dialog.
    + Allow ShowTextFile() to work with absolute path names.
    + Fix display of changelog, credits and to-do files.
    + Remove link to the newsfeed, to fix Lintian privacy-breach-generic
      warning. The news feed no longer works anyway.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 23 Dec 2016 15:53:13 +1100

dvdisaster (0.72.4-1) unstable; urgency=low

  * New upstream (Closes: #665522)
  * debian/paches/04-manpage.patch: Removed (merged by upstream).

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 08 Apr 2012 22:02:16 +0900

dvdisaster (0.72.3-2) unstable; urgency=low

  * debian/patches/libpng15: Build with libpng15. (Closes: #649555)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 19 Mar 2012 11:08:53 +0900

dvdisaster (0.72.3-1) unstable; urgency=low

  [ Rogério Brito ]
  * debian/patches/*: refresh and adapt every patch
  * debian/patches/04-manpage.patch: escape one hyphen

  [ TANIGUCHI Takaki ]
  * New upstream 0.72.3 (Closes: #643869)
  * Bump Standards-Version to 3.9.3
  * debian/patches/*: Refreshed.
  * Depend unversion libpng-dev (Closes: #662306)
  * debian/rules: Rewrite in dh7 style

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 06 Mar 2012 12:44:08 +0900

dvdisaster (0.72.1-2) unstable; urgency=low

  * [da276c7] Refresh patches to avoid potential problems with the
    buildds.
  * [3ee8b47] Initial migration to format "3.0 (quilt)".
  * [af26379] Wrap some long lines for legibility.
  * [2372076] Wrap one extra line.
  * [00e1968] Don't patch the documentation directly.
  * [fac6933] Add missing misc-depends on dvdisaster
  * [70a6efd] Rewrap the build-depends line, for diff-friendliness.
  * [9fe0db4] Fix incorrect place of misc:depends.
  * [6576482] Remove unneeded patch
  * [7771474] Remove duplicate section field for dvdisaster
  * [f51c51a] Add debian/watch file to more closely follow upstream
  * [2194941] Remove UTF-8 encoding from desktop file
  * [57e4fab] Update patch to deal with hyphens used as minus signs
  * [80e291c] Add description for the patch
  * [cea78c3] Add patch to fix spelling errors in the binaries
  * [96b581b] Fix for another typo in the manpage
  * [b8f0e62] Update standards version with no changes needed

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 24 Aug 2010 12:10:21 -0300

dvdisaster (0.72.1-1) unstable; urgency=low

  * New maintainer (Closes: 543876)
  * new upstream version.
  * debian/control: update Homepage:
  * debian/README.source: create
  * debian/control: add Vcs-*.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 Nov 2009 10:29:09 +0900

dvdisaster (0.72-2) unstable; urgency=low

  * Updating to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:24:34 +0200

dvdisaster (0.72-1) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Merging upstream version 0.72.
  * Removing shebang.patch, not required anymore.
  * Updating standards version to 3.8.2.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 07 Jul 2009 01:11:52 +0200

dvdisaster (0.72~rc1-1) unstable; urgency=low

  * Merging upstream version 0.72~rc1.
  * Upgrading to standards 3.8.1.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Apr 2009 21:20:00 +0200

dvdisaster (0.71.28-1) unstable; urgency=medium

  * Merging upstream version 0.71.28:
    - Fixes "illegal instruction" crashes on x86 machines which do not support
      SSE2 (Closes: #515950).

 -- Daniel Baumann <daniel@debian.org>  Tue, 17 Mar 2009 09:55:00 +0100

dvdisaster (0.71.27-1) unstable; urgency=low

  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 0.71.27.
  * Rediffing help-dialog.dpatch.
  * Using quilt rather than dpatch.
  * Updating year in copyright.
  * Adding longtitle and description in menu file.
  * Using usual name for pixmaps directory.
  * Updating rules to current state of the art.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2009 14:01:00 +0100

dvdisaster (0.71.26-2) unstable; urgency=medium

  * Updating to standards 3.8.0.
  * Updating vcs fields in control file.
  * Correcting 03-dvdrom.dpatch to not crash when opening a DVD-ROM.
    Thanks to Tobias Gruetzmacher <tobias-debian@23.gs> (Closes: #498296).

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2008 22:08:00 +0200

dvdisaster (0.71.26-1) unstable; urgency=medium

  * Reordering rules file.
  * Using examples debhelper to install examples.
  * Removing 08-xdg.dpatch, went upstream.
  * Removing 07-adaptive-read.dpatch, went upstream.
  * Rediffing 05-help-dialog.dpatch.
  * Rediffing 03-dvdrom.dpatch.
  * Rediffing 02-encryption.dpatch.
  * Removing watch file.
  * Removing useless whitespaces at end of debian gmkrs02 example.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Upgrading package to debhelper 7.
  * Merging upstream version 0.71.26.

 -- Daniel Baumann <daniel@debian.org>  Sat, 03 May 2008 11:34:00 +0200

dvdisaster (0.71~devel23-7) unstable; urgency=low

  * Bumping to new policy.
  * Updating menu file to new policy.
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 13:26:00 +0100

dvdisaster (0.71~devel23-6) unstable; urgency=low

  * Using xdg-open rather than gnome-open.

 -- Daniel Baumann <daniel@debian.org>  Thu, 29 Nov 2007 10:39:00 +0100

dvdisaster (0.71~devel23-5) unstable; urgency=low

  * Setting configure shebang to bash.

 -- Daniel Baumann <daniel@debian.org>  Wed, 24 Oct 2007 06:14:00 +0200

dvdisaster (0.71~devel23-4) unstable; urgency=low

  * Fixed clean target in rules (Closes: #442559).

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Sep 2007 00:37:00 +0200

dvdisaster (0.71~devel23-3) unstable; urgency=medium

  * Applied patch from Wolfgang Weisselberg <g35fckt001@sneakemail.com> to fix
    segfault when reading CD with --adaptive-read (Closes: #427980).
  * Including example script from Osamu Aoki <osamu@debian.org> to provide a
    GUI for creating RS02 supplimented ISO images (Closes: #442145).

 -- Daniel Baumann <daniel@debian.org>  Fri, 14 Sep 2007 11:13:00 +0200

dvdisaster (0.71~devel23-2) unstable; urgency=low

  * Fix shebang in configure.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Sep 2007 22:53:00 +0200

dvdisaster (0.71~devel23-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 May 2007 10:46:00 +0200

dvdisaster (0.71~devel22-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 29 Apr 2007 16:47:00 +0200

dvdisaster (0.70.4-2) unstable; urgency=low

  * Uploading to unstable.
  * Bumped package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Mar 2007 10:35:00 +0100

dvdisaster (0.70.4-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Sat, 27 Jan 2007 18:05:00 +0100

dvdisaster (0.70.3-2) unstable; urgency=medium

  * Added patch from Carsten Gnoerlich <carsten@dvdisaster.com> to fix issues
    with glib threading (Closes: #405757).

 -- Daniel Baumann <daniel@debian.org>  Wed, 17 Jan 2007 10:42:00 +0100

dvdisaster (0.70.3-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Dec 2006 11:57:00 +0100

dvdisaster (0.70.2-2) unstable; urgency=medium

  * Adjusted 05-help-dialog.dpatch as suggested by
    Corey Wright <undefined@pobox.com> (Closes: #393671).

 -- Daniel Baumann <daniel@debian.org>  Tue, 17 Oct 2006 14:01:00 +0200

dvdisaster (0.70.2-1) unstable; urgency=low

  * New upstream release.
  * Added patch to customize the help-dialog according to README.MODIFYING.

 -- Daniel Baumann <daniel@debian.org>  Tue, 03 Oct 2006 20:58:00 +0200

dvdisaster (0.70.1-2) unstable; urgency=low

  * Added patch from upstream to fix some code errors (Closes: #388304).

 -- Daniel Baumann <daniel@debian.org>  Thu, 21 Sep 2006 01:29:00 +0200

dvdisaster (0.70.1-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Aug 2006 23:09:00 +0200

dvdisaster (0.70-1) unstable; urgency=low

  * New upstream release (Closes: #377757).

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Jul 2006 07:19:00 +0200

dvdisaster (0.66-4) unstable; urgency=low

  * New email address.
  * Fixed typo in manpage (Closes: #376752).

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 Jul 2006 09:01:00 +0200

dvdisaster (0.66-3) unstable; urgency=low

  * Fixed docsubdir (Closes: #366274).
  * Disabled skipping of encrypted disks (Closes: #366399).
  * Added patch for DVD-ROM medias (Closes: #366392).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Mon, 15 May 2006 03:17:00 -0500

dvdisaster (0.66-2) unstable; urgency=low

  * Set dvdisaster-doc to recommends instead of suggests (Closes: #363291).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 18 Apr 2006 16:35:00 +0100

dvdisaster (0.66-1) unstable; urgency=low

  * New upstream release.
  * Added pixmap.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 28 Mar 2006 10:13:00 +0100

dvdisaster (0.65-1) unstable; urgency=low

  * New upstream release.
  * Removed patch stack buffer patch (went upstream).
  * Removed manpage patches (went upstream).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 17 Jan 2006 14:32:00 +0100

dvdisaster (0.64.2-1) unstable; urgency=low

  * New upstream release.
  * Now using dpatch for updating manpages.
  * Fixed definitely the documentation path in the manpages (Closes: #333591).
  * Added patch from Robert Bihlmeyer <robbe@orcus.priv.at> to fix segfault on
    allocating stack buffer (Closes: #335792).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Fri, 25 Nov 2005 11:01:00 +0100

dvdisaster (0.63.2-1) unstable; urgency=low

  * New upstream release:
    - no longer needs gawk.
    - manpage updated and moved to upstream.
    - manpage now mentions correct documentation-location (Closes: #322187).
  * Now update config.{guess,sub} via .diff.gz.
  * Corrected non-ascii chars in the German and Italian manpage.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sat, 06 Aug 2005 20:03:00 +0200

dvdisaster (0.63-1) unstable; urgency=low

  * Initial release (Closes: #319742).
  * Fixed Makefile for $(DESTDIR)-use.
  * Added manpage.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sun, 24 Jul 2005 13:35:00 +0200
